## glib2.0 2.6.2-1osso6

=== debian/changelog ===
glib2.0 (2.6.2-1osso6) unstable; urgency=low

  * Saving some memory with a patch to fix Glib bug 160655.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 22 Apr 2005 12:39:28 +0300

glib2.0 (2.6.2-1osso5) unstable; urgency=low

  * Restored g_log(), g_print() and g_printerr() normal functionality.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 22 Mar 2005 12:52:31 +0200

glib2.0 (2.6.2-1osso4) unstable; urgency=low

  * g_print and g_printerr redefined as zero macros when DEBUG is not defined
  * undefining ENABLE_NLS 

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 12 Mar 2005 20:21:12 +0200

glib2.0 (2.6.2-1osso3) unstable; urgency=low

  * Fixed bug 6441.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 24 Feb 2005 16:50:19 +0200

glib2.0 (2.6.2-1osso2) unstable; urgency=low

  * one more fix in gobject.h for debugging stuff

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 21 Feb 2005 20:17:28 +0200

glib2.0 (2.6.2-1osso1) unstable; urgency=low

  * fix for g_log()

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 21 Feb 2005 19:18:48 +0200

glib2.0 (2.6.2-1osso) unstable; urgency=low

  * Added Kuisma Salonen's gscanner patches.
  * Made g_log() and g_logv() zero macros in gmessages.h when DEBUG
    is not defined (functions are still there [but empty], so ABI is
    not broken)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 18 Feb 2005 14:04:11 +0200

glib2.0 (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Feb 2005 19:23:59 +0100

glib2.0 (2.6.1-3) unstable; urgency=low

  * debian/rules:
    - use "-plibglib$(apiver)-udeb", fix the libglib2.0-0-dbg package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 23 Jan 2005 22:24:21 +0100

glib2.0 (2.6.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - rename libglib2.0-dbg to libglib2.0-0-dbg.
    - set myself as maintainer.
  * debian/rules:
    - use dh_strip to make the debug package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 16 Jan 2005 12:59:21 +0100

glib2.0 (2.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  8 Jan 2005 14:44:05 +0100

glib2.0 (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - updated the shlibs.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 27 Dec 2004 16:15:36 +0100

glib2.0 (2.4.8-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 2004 18:52:44 +0100

glib2.0 (2.4.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/patches/000_glib-link.patch] Updated.
  * [debian/patches/001_translations.patch] Dropped.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 22:27:49 +0200

glib2.0 (2.4.6-4) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS and
    relibtoolise to use new translations.
  * [debian/rules] Fixed udeb naming on Hurd.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 12:43:09 +0200

glib2.0 (2.4.6-3) unstable; urgency=medium

  Colin Watson <cjwatson@debian.org>: (Closes: #274053)
  * [debian/rules] binary-arch depends on binary-arch-udeb.
  * [debian/rules] Strip udeb!

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 29 Sep 2004 19:39:22 +0200

glib2.0 (2.4.6-2) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS.
  * [debian/rules] Tightened "shver" to tighten shlibs, as some
    incompatibilities with older versions turned up with gconf.
    (Closes: #265659)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Aug 2004 18:50:04 +0200

glib2.0 (2.4.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Aug 2004 18:34:27 +0200

glib2.0 (2.4.5-2) unstable; urgency=low

  * debian/patches/000_glib-link.patch:
    - patch from Jurij Smakov <jurij@wooyd.org> to link with all the libs 
      (Closes: #263130).

 -- Sebastien Bacher <seb128@debian.org>  Tue,  3 Aug 2004 18:03:53 +0200

glib2.0 (2.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  1 Aug 2004 17:31:43 +0200

glib2.0 (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - remove spaces before "#pragma alloca" (Closes: #250667).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Jul 2004 18:44:31 +0200

glib2.0 (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 00:51:01 +0200

glib2.0 (2.4.1-2) unstable; urgency=low

  * Upload in unstable.
  * GNOME Team Upload.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
    + [debian/rules] Make the linker work a bit harder so dynamic loading can 
      be done faster; safety measure: ensure the build aborts when the library
      still has references to undefined symbols. 

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:18:23 +0200

glib2.0 (2.4.1-1) experimental; urgency=low

  * New upstream release.
  * GNOME Team Upload.
  * debian/rules:
    - updated shlib version to 2.4.1.
  
 -- Sebastien Bacher <seb128@debian.org>  Sun,  2 May 2004 12:47:25 +0200

glib2.0 (2.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  - debian/rules:
    - bumped shlib version to 2.4.0.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 24 Mar 2004 09:12:31 +0900

glib2.0 (2.4.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - doh. don't claim the newer shlibs.
  * debian/control:
    - added Uploaders to maintain as team.
    - added gnome-pkg-tools to Build-Depends.
  * debian/docs:
    - added old ChangeLog and NEWS files.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 17 Mar 2004 21:18:00 +0900

glib2.0 (2.2.3-1) unstable; urgency=low


