## glib2.0 2.6.2-1osso8

=== debian/changelog ===
glib2.0 (2.6.2-1osso8) unstable; urgency=low

  * Added gscanner patch from Tommi (bugs 16829 and 16264). It is an update
    to the existing gscanner patch.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 Aug 2005 15:22:17 +0300

glib2.0 (2.6.2-1osso7) unstable; urgency=low

  * Added patch for redirecting logging to syslog (bug 16628).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 03 Aug 2005 08:21:23 +0300
