=== debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
Build-Depends: debhelper (>> 4.0.0), pkg-config (>= 0.14.0), gettext, autotools-dev, gnome-pkg-tools
Standards-Version: 3.6.1.0

Package: libglib2.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libglib2.0-data
Description: The GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Provides: libglib2.0-0
Description: The GLib library of C routines
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version}), libc6-dev | libc-dev, pkg-config (>= 0.14.0)
Suggests: libglib2.0-doc
Replaces: libglib1.3-dev
Conflicts: libglib1.3-dev
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version})
Conflicts: libglib2.0-dbg
Replaces: libglib2.0-dbg
Description: The GLib libraries and debugging symbols
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps.  The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libglib2.0-data
Section: misc
Architecture: all
Depends: libglib2.0-0 (= ${Source-Version})
Replaces: libglib1.3, libglib1.3-data
Conflicts: libglib1.3-data
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the common files which the runtime libraries
 need.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Replaces: libglib1.3-doc
Conflicts: libglib1.3-doc
Suggests: libgtk2.0-doc
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .
