## glib2.0 2.8.6-1osso5

=== debian/changelog ===
glib2.0 (2.8.6-1osso5) unstable; urgency=low

  * version of 2.8 with patch to NB#24380 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 17 May 2006 13:26:25 +0300

glib2.0 (2.8.6-1osso4) unstable; urgency=low

  * glib/gmem.h: Don't use // comments in C<99 code 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri, 10 Mar 2006 13:24:00 +0200

glib2.0 (2.8.6-1osso3) unstable; urgency=low

  * glib/gmem.h: Don't use // comments in C<99 code

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  9 Mar 2006 17:43:45 +0200

glib2.0 (2.8.6-1osso2) unstable; urgency=low

  * took Jorn's patch from http://bugzilla.gnome.org/show_bug.cgi?id=332312 

 -- Tapani Päll <tapani.palli@nokia.com>  Tue,  7 Mar 2006 11:26:41 +0200

glib2.0 (2.8.6-1osso1) unstable; urgency=low

  * Upgrade to glib 2.8.6
  * debian/control.in: set myself as maintainer

 -- Tapani Päll <tapani.palli@nokia.com>  Fri,  4 Jan 2006 10:53:00 +0100

glib2.0 (2.6.6-1osso2) unstable; urgency=low

  * merged g_slice*() from upstream
  * debian/rules: new API, bump shlibs
  * debian/control.in: set myself as maintainer

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Wed,  4 Jan 2006 17:58:10 +0200

glib2.0 (2.6.6-1osso1) unstable; urgency=low

  * Upgrade to glib 2.6.6
  * debian/*: redo packaging to build directly from svn trunk
  * debian/control: add gtk-doc-tools to Build-Depends as it's needed for
    autogen
  * debian/rules: configure with --disable-gtk-doc as the docs won't build
    properly with currently available tools

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri,  2 Dec 2005 12:24:13 +0200
