## glib2.0 2.8.6-1osso11

=== debian/changelog ===
glib2.0 (2.8.6-1osso11) unstable; urgency=low

  * applied patch from Jussi Laako for gthread/gthread-posix.c
  * Fixes: NB#47178 (glib faults on realtime scheduling)

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 20 Nov 2006 13:49:01 +0200

glib2.0 (2.8.6-1osso10) unstable; urgency=low

  * Fixes NB#38815 (enabled paraller build options) 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri,  6 Oct 2006 09:43:07 +0300

glib2.0 (2.8.6-1osso9) unstable; urgency=low

  * reverted patch to NB#37096 (caused build problems)

 -- Tapani Palli <tapani.palli@nokia.com>  Tue, 15 Aug 2006 13:11:12 +0300

glib2.0 (2.8.6-1osso8) unstable; urgency=low

  * enabled thumb flag, fixes NB#26705
  * restore noreturn attributes and compile gmessages.c with
    -fno-omit-frame-pointer, fixes NB#37096
  * backported upstream patch to g_parse_debug_string(), fixes NB#37690

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 15 Aug 2006 11:23:54 +0300

glib2.0 (2.8.6-1osso7) unstable; urgency=low

  * remove unneeded files, fixes NB#35623,
  * disable __noreturn__ in arm, fixes NB#35624
  * applied '-g' compilation flag to get .debug_frame, fixes NB#32643
  * disabled thumb flag for now

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 24 Jul 2006 09:46:10 +0300

glib2.0 (2.8.6-1osso6) unstable; urgency=low

  * applied thumb code generation flag 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:01:51 +0300
