=== debian/rules ===
--- 
+++ 
@@ -15,26 +15,12 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0 -g
+	CFLAGS += -O0
 else
-	CFLAGS += -O2 -g
+	CFLAGS += -O2
 endif
-
-# Use soft-float and thumb mode if it enabled. 
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
-endif
-
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
-endif
-
-ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
-	NJOBS_OPT := $(shell ( \
-		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
-		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
-		) | sed -n -e '/[1-9]/s/^/-j/p' )
-	MAKEFLAGS += $(NJOBS_OPT)
 endif
 
 # Ensure the build aborts when there are still references to undefined
@@ -55,7 +41,7 @@
 apiver=2.0
 soname=0
 gtkver=2.0
-shver=2.8.6-1osso1
+shver=2.10.2-1osso2
 libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs
 
 _echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
@@ -89,6 +75,7 @@
 	cd $(BUILD_DEB_DIR) && \
 	sed < libtool > libtool-2 \
 	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
+	 -e 's/0 | \[1-9\] | \[1-9\]\[0-9\] | \[1-9\]\[0-9\]\[0-9\])/0|\[1-9\]|\[1-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]\[0-9\]|\[1-9\]\[0-9\]\[0-9\]\[0-9\]\[0-9\])/' \
 	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
 	mv libtool-2 libtool
 
@@ -96,8 +83,8 @@
 
 configure: configure-deb
 
-build-deb: debian/control $(BUILD_DEB_DIR)/build-stamp
-$(BUILD_DEB_DIR)/build-stamp: configure-deb
+build-deb: debian/control configure-deb $(BUILD_DEB_DIR)/build-stamp
+$(BUILD_DEB_DIR)/build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -149,8 +136,6 @@
 	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null
 
 # Build architecture-independent files here.
-binary-indep-after-arch: binary-arch
-binary-indep-after-arch \
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
@@ -206,15 +191,17 @@
 	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -Nlibglib$(apiver)-$(soname)-dbg
-	dh_makeshlibs	-plibglib$(apiver)-$(soname) \
-			-V "libglib${apiver}-${soname} (>= ${shver})"
+
+# shlibs
+	dh_makeshlibs -a -Nlibglib$(apiver)-dbg
+	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.10.2)"
 	dh_installdeb -a
 	dh_shlibdeps -l$(libpath) -a
 	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
+
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-arch binary-indep-after-arch
-.PHONY: build build-deb clean binary-indep-after-arch binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control
+binary: binary-indep binary-arch
+.PHONY: build build-deb clean binary-indep binary-arch binary install install-deb install-test configure configure-deb extract debian/control
