## glib2.0 2.12.12-1osso1

=== debian/changelog ===
glib2.0 (2.12.12-1osso1) unstable; urgency=low

  * Backport GSlice debug-blocks from upstream gtk+ trunk.
  * Upgrade to glib 2.12.12
  * Ensure added symbols appear in API docs
  * debian/rules: do not compress index.sgml for gtkdoc-fixxref benefit

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 16 May 2007 16:32:55 +0200
