## glib2.0 2.12.12-1osso2

=== debian/changelog ===
glib2.0 (2.12.12-1osso2) unstable; urgency=low

  * GObjectClass.constructed() backported from upstream glib trunk.

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Wed, 24 May 2007 17:59:55 +0200
