=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,7 @@
 	dh_installexamples -i
 	dh_installinfo -i
 	dh_installchangelogs -i $(SOURCE_DIR)/ChangeLog
-	dh_compress -i
+	dh_compress -i -Xindex.sgml
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -189,7 +189,7 @@
 	dh_installinfo -a
 	dh_installchangelogs -a $(SOURCE_DIR)/ChangeLog
 	dh_strip -a --dbg-package=libglib$(apiver)-$(soname)
-	dh_compress -a
+	dh_compress -a -Xindex.sgml
 	dh_fixperms -a
 
 # shlibs
