=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 apiver=2.0
 soname=0
 gtkver=2.0
-shver=2.10.2-1osso2
+shver=2.12.12-1osso3
 libpath=$(BUILD_DEB_DIR)/glib/.libs:$(BUILD_DEB_DIR)/gmodule/.libs:$(BUILD_DEB_DIR)/gobject/.libs:$(BUILD_DEB_DIR)/gthread/.libs
 
 _echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
@@ -194,7 +194,7 @@
 
 # shlibs
 	dh_makeshlibs -a -Nlibglib$(apiver)-dbg
-	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.10.2)"
+	dh_makeshlibs -n -X usr/lib/glib-$(apiver) -plibglib$(apiver)-$(soname)$(suffix) -V "libglib${apiver}-${soname}${suffix} (>= 2.12.12-1osso3)"
 	dh_installdeb -a
 	dh_shlibdeps -l$(libpath) -a
 	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
