## glib2.0 2.12.12-1osso7

=== debian/changelog ===
glib2.0 (2.12.12-1osso7) unstable; urgency=low

  * Enable floating point. Patch by Leonid  Moiseichuk. Fixes: NB#61971

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 30 Aug 2007 17:38:21 +0300
