=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.10/ \
	glib-(.*)\.tar\.gz \
	debian uupdate
