## glib2.0 2.12.12-1osso9

=== debian/changelog ===
glib2.0 (2.12.12-1osso9) unstable; urgency=low

  * Reintroduce GScanner cache. Fixes: NB#61907
  * debian/rules: --enable-gtk-doc (with nodocs DEB_BUILD_OPTIONS support)
    (Fixes: NB#69302)

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri, 14 Sep 2007 16:41:24 +0300
