## glib2.0 2.12.12-1osso10

=== debian/changelog ===
glib2.0 (2.12.12-1osso10) unstable; urgency=low

  * Fix shlibs in debian/rules

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 21 Sep 2007 10:44:21 +0300
